
/**
* Uso de un ArrayList de objetos
*
* @author Luis José Sánchez
*/
import java.util.ArrayList;
import java.util.Collections;

public class EjemploArrayList07 {
    public static void main(String[] args) {
        ArrayList<Gato> g = new ArrayList<Gato>();
        Gato gato;

        gato = new Gato("Garfield", "naranja", "mestizo");
        g.add(gato);

        g.add(new Gato("pepe", "gris", "angora"));
        g.add(new Gato("Mauri", "blanco", "manx"));
        g.add(new Gato("Ulises", "marrón", "persa"));

        System.out.println("\nDatos de los gatos:\n");
        for (Gato gatoAux : g) {
            System.out.println(gatoAux + "\n");
        }

        Collections.sort(g);
        System.out.println("\nDatos de los gatos ordenados por nombre:");
        for (Gato gatoAux : g) {
            System.out.println(gatoAux + "\n");
        }
    }
}